=== debian/changelog ===
ros-foxy-rviz-visual-tools (4.0.3-1focal) focal; urgency=high

  * Make sure to add all dependencies to the package.xml (#209 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/209>) (#214 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/214>)
  * Backport Fix faulty templated constructor (#213 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/213>)
  * Contributors: Vatan Aksoy Tezer, Chris Lalancette

 -- Mike Lautman <mike@picknik.ai>  Sun, 12 Dec 2021 21:00:00 -0000

ros-foxy-rviz-visual-tools (4.0.2-1focal) focal; urgency=high

  * Add pluginlib dependency. (#203 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/203>)
  * Re-enable RemoteControl functionality (#204 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/204>)
    * use condition_variable to be more thread safe
    * Drop executor from constructor, deprecate old one
    * Fix RemoteControl usage in demo
    * Use SystemDefaultsQOS for RemoteControl subscriber
    * Add RvizVisualToolsGui dashboard to rviz config, correct view
  * Rename node_executable to executable (#201 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/201>)
  * Contributors: Davide Faconti, Henning Kayser, Jafar Abdi, Steven! Ragnarök, Vatan Aksoy Tezer

 -- Mike Lautman <mike@picknik.ai>  Wed, 06 Oct 2021 21:00:00 -0000

ros-foxy-rviz-visual-tools (4.0.1-1focal) focal; urgency=high

  * Remove executor namespace from rclcpp (#190 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/190>)
  * Fixes & improvements for deleting markers (#188 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/188>)
    * Added RvizVisualTools method to delete all markers in a namespace
    * Fixed deleteAllMarkers for all namespaces
    * Added getters for marker ID's
  * Move waitForSubscriber function to header file (#185 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/185>)
  * Create LICENSE (#183 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/183>)
  * Contributors: Jafar Abdi, Nathan Brooks, Vatan Aksoy Tezer, Wyatt Rees

 -- Mike Lautman <mike@picknik.ai>  Mon, 13 Sep 2021 21:00:00 -0000

ros-foxy-rviz-visual-tools (4.0.0-1focal) focal; urgency=high

  * Fix warning about deprecation (#180 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/180>)
    rclcpp::executor::FutureReturnCode was removed
  * Update to offer shared_ptr to create_timer
  * Fix rviz_visual_tools_gui (#147 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/147>)
  * Compilation for Windows (#143 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/143>)
  * Remove stl file in preparation for LFS setup (#140 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/140>)
  * Add function deleteMarker: deletes marker for given namespace and id (#137 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/137>)
  * fix waitForSubscriber time (#142 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/142>)
  * Eloquent cleanup (#135 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/135>)
    * some misc cleanup of the imarker simple lib
    * actually reset marker counts
    * changes for using IMarker simple as a library
  * Fix rviz warnings about scale and uninitialized quaternions (#129 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/129>)
  * Normalize interactive marker quaternions. (#132 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/132>)
  * normalize before publish (#131 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/131>)
  * New helper function getIdentityPose() (#122 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/122>)
  * For ABCD planes: better comments, ensure the plane equation is satisfied. (#120 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/120>)
    Co-Authored-By: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Make rviz_visual_tools publish triangle mesh and tf_visual_tools clean published transforms (#117 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/117>)
    * Add clearAllTransform method to tf_visual_tools
    * Add new function to publish mesh marker from triangles and vertices
  * Publish plane from Ax+By+Cz+D=0 equation (#119 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/119>)
  * Fixed publishCylinder namespace (#109 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/109>)
  * Remove default arguments to make function calls not ambiguous (#112 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/112>)
  * Initialize quaternions in demo to avoid warning (#111 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/111>)
  * Fix node type in demo launch files (#110 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/110>)
  * Use LOGNAME for logging re:moveit styel (#106 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/106>)
  * Contributors: AndyZe, Bjar Ne, Dave Coleman, Jafar Abdi, Mike Lautman, Mori, MoriKen, Nathan Brooks, Sean Yen, Victor Lamoine, Yu Yan, d-walsh, hshose

 -- Mike Lautman <mike@picknik.ai>  Thu, 08 Apr 2021 21:00:00 -0000

ros-foxy-rviz-visual-tools (3.7.0-1focal) focal; urgency=high

  * Fix Eigen::Affine3d for Melodic (using Eigen::Isometry3d) (#105 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/105>)
  * Improve documentation (#100 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/100>)
  * Fix some catkin_lint warnings and rename targets output (#98 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/98>)
  * Update README Kinetic to Melodic (#102 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/102>)
  * Add Melodic build farm badges (#99 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/99>)
  * Add ccache support (#93 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/93>)
  * no ros::spinOnce() (#82 <https://github.com/PickNikRobotics/rviz_visual_tools/issues/82>)

